# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: 'PDF Document Analysis'

prompts:
  - file://prompt.py:format_pdf_prompt

providers:
  - id: google:gemini-2.5-flash
  - id: anthropic:messages:claude-sonnet-4-6
  - id: openai:responses:gpt-5.4

defaultTest:
  assert:
    - type: contains
      value: '2'

tests:
  - description: 'Count diagrams in a research paper PDF'
    vars:
      file_path: pdfs/page.pdf
